Package org.wildfly.plugin.cli

## Class LocalCLIExecutor

- java.lang.Object
- - org.wildfly.plugin.cli.LocalCLIExecutor

-     public class LocalCLIExecutor
      extends Object

  A CLI executor, resolving CLI artifact from Maven. We can't have embedded/jboss modules in plugin classpath, it causes issue because we are sharing the same jboss module classes between execution run inside the same JVM.
  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalCLIExecutor​(Path jbossHome, boolean resolveExpression, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bindClient​(org.jboss.as.controller.client.ModelControllerClient client)` |
    `void` | `close()` |
    `void` | `execute​(List<String> commands)` |
    `void` | `executeBatch​(Collection<String> commands)` |
    `void` | `executeCommands​(Iterable<String> commands, boolean failOnError)` |
    `String` | `getOutput()` |
    `void` | `handle​(String command)` |
    `void` | `handleSafe​(String command)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalCLIExecutor

          public LocalCLIExecutor​(Path jbossHome,
                                  boolean resolveExpression,
                                  org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)
                           throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### bindClient

          public void bindClient​(org.jboss.as.controller.client.ModelControllerClient client)
                          throws Exception

      Throws:
        `Exception`

    - #### executeBatch

          public void executeBatch​(Collection<String> commands)
                            throws Exception

      Throws:
        `Exception`

    - #### executeCommands

          public void executeCommands​(Iterable<String> commands,
                                      boolean failOnError)
                               throws Exception

      Throws:
        `Exception`

    - #### handle

          public void handle​(String command)
                      throws Exception

      Throws:
        `Exception`

    - #### handleSafe

          public void handleSafe​(String command)
                          throws Exception

      Throws:
        `Exception`

    - #### getOutput

          public String getOutput()

    - #### close

          public void close()
                     throws Exception

      Throws:
        `Exception`

    - #### execute

          public void execute​(List<String> commands)
                       throws Exception

      Throws:
        `Exception`